form_exists = false;

$("#feedback_form").on("submit", e => {
  e.preventDefault();
  
  $('#in_progress_message').fadeIn();

  const quality = $('input[name=quality]:radio:checked').val();
  console.log("quality is: " + quality);

  const summary = $('#3').val();
  console.log("summary is: " + summary);

  const description = $('#4').val();
  console.log("description is: " + description);

  const recaptcha = $('#g-recaptcha-response').val();

  const docpath = window.location.toString();

  const version = window.location.toString().indexOf("docs.vertica.com") == -1 ? 'n/a' : window.location.pathname.match("\/((?:[0-9]|[0-9][0-9])\.[0-9]\.x)\/")[1];

  return fetch(
    "https://9ooqz07a70.execute-api.us-east-1.amazonaws.com/default/VerticaDoc_recaptcha",
    {
      method: "POST",
      body: JSON.stringify({quality, summary, description, docpath, version, recaptcha})
    }
  )
  .then(response => {
    $('#form_container').fadeOut();
    $('#submit_message').show();
    setTimeout(() => {$('#submit_message').fadeOut();}, 3000)
    
    if (response.status == 200) {
      console.log("feedback sent");
    } else if (response.status == 401) {
      console.log("invalid recaptcha: please revalidate");
    } else if (response.status == 503) {
      console.log("verification unavailable");
    } else {
      console.log("verification aborted");
    }
  })
})

$("#feedback_flow_trigger").on("click", () => {
  if ($("#feedback_form").css("display") === "none") {
    $("#feedback_form").css("display", "inline");
  } else {
    $("#feedback_form").css("display", "none");
  }
});
